#pragma config(Motor,  port2,           LM,            tmotorVex393TurboSpeed_MC29, openLoop)
#pragma config(Motor,  port3,           LM2,           tmotorVex393TurboSpeed_MC29, openLoop, reversed)
#pragma config(Motor,  port4,           RM,            tmotorVex393TurboSpeed_MC29, openLoop, reversed)
#pragma config(Motor,  port5,           RM2,           tmotorVex393TurboSpeed_MC29, openLoop)
//*!!Code automatically generated by 'ROBOTC' configuration wizard               !!*//

/*------------------------------------------------------------------------------------------
--------------------Function 1: Push 7D to unlock and enable the robot.---------------------
-------------Set a bollean valuable "i2", if i2 is ture, wait till 7D get push.-------------
----if i2 is false (actully can be anything), the code just ganna do nothing and move on----
------------------------------------------------------------------------------------------*/
//void Button(bool i2)
//{if (i2 == true){while(vexRT[Btn7D]==0){}}else{}}

void FM()//Function for Front motors
{
		motor[RM2] = motor[RM];
		motor[LM2] = motor[LM];
}

void adj()
{
	float adj = 0.9;
	motor[LM] = motor[LM] * adj;
}


/*------------------------------------------------------------------------------------------
----------*******************----Main program start below----******************-------------
------------------------------------------------------------------------------------------*/

/*In this version(#), we add a adjust feature to lower the left side.Fixed the left and right setting . Ch#5 & 6 are not available.*/

task main ()
{
	float h = 0.5;

//	Button(false);//Use function#1 and enable it since it's ture. You can trun the "true" to false to disable the starting lock

//2		while(vexRT[Btn5U]==0 || vexRT[Btn6U]==0)//You can simply push 7D and 7U to disable the robot till you restart it.
  	while(1==1)
	{

		/*-------------------------------------------------------------------------------------------
		------------------------------------Feature of button 7D-------------------------------------
		Regular Mode Full Speed (RF)
		---------------------------------------------------------------------------------------------
		-------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==1 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)//Regular mode
		{
			while(vexRT[Btn7U]==0 && vexRT[Btn7R]==0 && vexRT[Btn7L]==0/* && vexRT[Btn7D]==0*/ && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = vexRT[Ch2] - vexRT[Ch4];
				motor[LM] = vexRT[Ch2] + vexRT[Ch4];
				FM();
				adj();
			}
		}

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 7L------------------------------------
    Regular Push Mode 80% Speed(RPH)
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==1 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)//Sport mode
		{
			while(vexRT[Btn7U]==0 && vexRT[Btn7R]==0 /*&& vexRT[Btn7L]==0*/ && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = (vexRT[Ch2] + vexRT[Ch4]) * -h;
				//motor[RM2] = motor[RM];
				motor[LM] = (vexRT[Ch2] - vexRT[Ch4]) * -h;
				//motor[LM2] = motor[LM];
				FM();
			}
		}

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 7U------------------------------------
    Regular Half Speed (RH)
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==1 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)//Sport mode
		{
			while(/*vexRT[Btn7U]==0 &&*/ vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = (vexRT[Ch2] - vexRT[Ch4]/2) * h;
				//motor[RM2] = motor[RM]
				motor[LM] = (vexRT[Ch2] + vexRT[Ch4]/2) * h;
				//motor[LM2] = motor[LM];
				FM();
			}
		}


		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time
		// Here is where I stop working last time

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 7R------------------------------------
		Regular Push Mode Full Speed(RPMH)
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==1 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)//Sport mode
		{
			while(vexRT[Btn7U]==0/* && vexRT[Btn7R]==0*/ && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = ((vexRT[Ch2] - vexRT[Ch4]) * -1);
				//motor[RM2] = motor[RM];
				motor[LM] = ((vexRT[Ch2] + vexRT[Ch4]) * -1);
				//motor[LM2] = motor[LM];
				FM();
			}
		}

		/*------------------------------------------------------------------------------------------
		-----------------------------------The part for channel#8-----------------------------------
		------------------------------------------------------------------------------------------*/

		/* Format for channel#8's buttons
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0
		{
		while(vexRT[Btn7U]==0 &&  vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
		{

		}
		}
		*/

		/*-------------------------------------------------------------------------------------------
		------------------------------------Feature of button 8U-------------------------------------
		Tank Mode Half Speed (TMH)
		---------------------------------------------------------------------------------------------
		-------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==1 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
		{
			while(vexRT[Btn7U]==0 &&  vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0/* && vexRT[Btn8U]==0*/ && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = vexRT[Ch2] / 2;
				motor[LM] = vexRT[Ch3] / 2;
				FM();
			}
		}

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 8L------------------------------------
		Code for 8L here is for the forward left turn. Forward left set the left motor's value as 0
		and the right motor's value as 30.
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==1 && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
		{
			while(vexRT[Btn7U]==0 &&  vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0/* && vexRT[Btn8L]==0*/ && vexRT[Btn8R]==0 && vexRT[Btn8D]==0)
			{
				motor[RM] = 30;
				motor[LM] = 0;
				FM();
			}
		}

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 8R------------------------------------
		Code for 8L here is for the forward left turn. Forward left set the left motor's value as 30
		and the right motor's value as 0.
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==1 && vexRT[Btn8D]==0)
		{
			while(vexRT[Btn7U]==0 &&  vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0/* && vexRT[Btn8R]==0*/ && vexRT[Btn8D]==0)
			{
				motor[RM] = 0;
				motor[LM] = 30;
				FM();
			}
		}

		/*------------------------------------------------------------------------------------------
		------------------------------------Feature of button 8D------------------------------------
		Code for 8L here is for the forward left turn. Forward left set the left motor's value as 30
		and the right motor's value as 0.
		--------------------------------------------------------------------------------------------
		------------------------------------------------------------------------------------------*/
		while(vexRT[Btn7U]==0 && vexRT[Btn7L]==0 && vexRT[Btn7R]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0 && vexRT[Btn8D]==1)
		{
			while(vexRT[Btn7U]==0 &&  vexRT[Btn7R]==0 && vexRT[Btn7L]==0 && vexRT[Btn7D]==0 && vexRT[Btn8U]==0 && vexRT[Btn8L]==0 && vexRT[Btn8R]==0/* && vexRT[Btn8D]==0)*/)
			{
				motor[RM] = -30;
				motor[LM] = 30;
			}
		}
//		Button(true);
	}
}
